linux下eclipse-问答-阿里云开发者社区-阿里云

开发者社区> 问答> 正文

linux下eclipse

爵霸 2016-06-13 10:04:22 1328

VirtualBox下装了Ubuntu,先装好了Eclipse,可以运行,然后安装 VirtualBox的增强功能包,然后Eclipse就跪了,打不开。重新用apt-get autoremove在重新安装还是打不开?,难道这个本身是有冲突的?

写下日志的错误信息吧:

!ENTRY org.eclipse.osgi 4 0 2013-09-02 18:26:02.629
 !MESSAGE Application error
 !STACK 1
 java.lang.UnsatisfiedLinkError: Could not load SWT library. Reasons: 

 no swt-gtk-3740 in java.library.path
         no swt-gtk in java.library.path
         Can't load library: /home/hadoop/.swt/lib/linux/x86/libswt-gtk-3740.so
         Can't load library: /home/hadoop/.swt/lib/linux/x86/libswt-gtk.so
分布式计算 Ubuntu Hadoop Linux Android开发
分享到
取消 提交回答
全部回答(1)
  • 爵霸
    2019-07-17 19:35:09

    直接装的话,用eclipse问题不大,这个明显是JNI的问题,就是GTK和java图形那一部分出问题了,

    0 0
开发与运维
使用钉钉扫一扫加入圈子
+ 订阅

集结各类场景实战经验,助你开发运维畅行无忧

推荐文章
相似问题
推荐课程